Bug 735757 - [webadmin] DC: main grid should be refreshed when an item is removed/added
Summary: [webadmin] DC: main grid should be refreshed when an item is removed/added
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: m2
: 3.1
Assignee: Einav Cohen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 10:04 UTC by Asaf Shakarchi
Modified: 2012-08-09 07:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 07:58:14 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Asaf Shakarchi 2011-09-05 10:04:15 UTC

Comment 1 Asaf Shakarchi 2011-10-10 01:01:58 UTC
Note: Since refresh is interval based, force refresh make sense for any action that may impact model visibility.

Comment 2 Einav Cohen 2011-11-17 13:31:09 UTC
Note that we would like to introduce something similar to what exists in the user portal, i.e.:

a. A drop-down in which you can select the desired refresh-rate from 3 or 4 possibilities.

b. Regardless of the "idle" refresh rate (determined by the drop-down mentioned in a), a frequent refresh should be performed for a limited period of time after an action is executed.

In the user portal, the refresh rate after executing an action is:
3 times in 2 seconds intervals + 
30 times in 4 seconds intervals + 
3 times in 8 seconds intervals
All in all - 150 seconds (2.5 minutes).

* After 2.5 minutes, the refresh rate returns to be the idle refresh rate
* If another action is invoked within these 2.5 minutes of frequent-refresh, the frequent-refresh period is re-starting.

Comment 3 Danny Rankevich 2012-01-03 11:36:43 UTC
implemented in commit 2c58dc8c0fe817a0b42c76148187ecf1087b3855

Comment 5 Itamar Heim 2012-08-09 07:58:14 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.